[pve-devel] [PATCH qemu v2 3/5] Bump dephelper compatibility level to 10

Emmanuel Kasper e.kasper at proxmox.com
Wed Oct 11 11:06:07 CEST 2017


The debian package content was found to be the same
with diffoscope. No functional change.
---
 debian/compat  | 2 +-
 debian/control | 2 +-
 debian/rules   | 3 ++-
 3 files changed, 4 insertions(+), 3 deletions(-)

diff --git a/debian/compat b/debian/compat
index 7ed6ff8..f599e28 100644
--- a/debian/compat
+++ b/debian/compat
@@ -1 +1 @@
-5
+10
diff --git a/debian/control b/debian/control
index 68ba534..4a55323 100644
--- a/debian/control
+++ b/debian/control
@@ -4,7 +4,7 @@ Priority: extra
 Maintainer: Proxmox Support Team <support at proxmox.com>
 Build-Depends: autotools-dev,
                check,
-               debhelper (>= 5),
+               debhelper (>= 10),
                glusterfs-common (>= 3.5.2-1),
                libacl1-dev,
                libaio-dev,
diff --git a/debian/rules b/debian/rules
index a6deceb..1114f99 100755
--- a/debian/rules
+++ b/debian/rules
@@ -114,7 +114,8 @@ binary-indep: build install
 binary-arch: build install
 	dh_testdir
 	dh_testroot
-	dh_installchangelogs
+	# exclude historic Changelog file, which stops at release 0.14
+	dh_installchangelogs --exclude=Changelog
 	dh_installdocs
 	dh_installexamples
 	dh_install
-- 
2.11.0




More information about the pve-devel mailing list